Removing ABI_X86_32 support from virtual/opencl

Title: Removing ABI_X86_32 support from virtual/opencl
Author: Marek Szuba <marecki@gentoo.org>
Posted: 2020-03-09
Revision: 2
News-Item-Format: 2.0
Display-If-Installed: virtual/opencl

From April 2020 onwards virtual/opencl will no longer provide support
for the 32-bit ABI on either multilib amd64 or native x86 systems. The
reason for this is that most modern OpenCL providers currently available
from Gentoo only support the 64-bit ABI anyway. Therefore, we intend
to initially mask:
 - virtual/opencl in x86 profiles,
 - USE=abi_x86_32 for virtual/opencl in all profiles, and
 - USE=opencl in x86 profiles.
and follow up with removal of multilib support and x86 keywords from
virtual/opencl.

Note that this change will only affect the virtual package, i.e. OpenCL
providers which do support ABI_X86_32 will continue to advertise this
capability. Users of such providers who wish to retain 32-bit OpenCL
support are advised to add virtual/opencl to package.provided; see
portage(5) for details.